cURL
curl --request GET \
--url https://app-api.aide.app/v1/integrations/{id}/inbox-defaults \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/integrations/{id}/inbox-defaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/integrations/{id}/inbox-defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{id}/inbox-defaults",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{id}/inbox-defaults"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/integrations/{id}/inbox-defaults")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{id}/inbox-defaults")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "channel_inbox_settings",
"unavailable": [
{
"path": "<string>",
"reason": "inbox_setting",
"detail": "<string>"
}
],
"settings": {
"meta": {
"humanAgentTag": true
},
"mode": "assists",
"drafts": [
"composer_insert"
],
"sendReplies": true,
"handoffDrafts": true,
"alwaysDraft": true,
"afterReply": "closed",
"waitingSnoozeHours": 123,
"quietPeriodSeconds": 123,
"vendorAi": "after_handover",
"scope": {
"tags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"media": "all"
},
"rollout": {
"mode": "everyone",
"percentage": 123,
"testSenders": [
"<string>"
]
},
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "<string>",
"senderName": "<string>"
},
"topicsWriteBack": {
"enabled": true,
"prefix": "<string>",
"field": {
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
],
"fieldId": "<string>"
}
},
"outcomeWriteBack": {
"tags": true,
"field": {
"values": [
{
"option": "<string>",
"outcome": "drafted"
}
],
"fieldId": "<string>"
}
},
"handBack": {
"tag": "<string>",
"to": "previous_assignee",
"mentions": [
"<string>"
],
"teammateExternalId": "<string>",
"teamExternalId": "<string>"
}
},
"inboxId": "<string>",
"integrationId": "<string>",
"capabilities": {
"tags": {
"create": true,
"read": true,
"write": true
},
"assignment": {
"users": true,
"teams": true
},
"kind": "native",
"media": [
{
"medium": "chat",
"reply": {
"human": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
},
"automated": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
}
},
"drafts": [
"composer_insert"
],
"vendorAi": true,
"internalNote": true
}
],
"statuses": [
"closed"
],
"snooze": true,
"fields": {
"read": true,
"write": true
},
"assignable": true
},
"sources": {
"mode": "connection",
"drafts": "connection",
"scope.media": "connection",
"scope.tags.include": "connection",
"scope.tags.exclude": "connection",
"rollout.mode": "connection",
"rollout.testSenders": "connection",
"rollout.percentage": "connection",
"sendReplies": "connection",
"handoffDrafts": "connection",
"alwaysDraft": "connection",
"replyIdentity.authorExternalId": "connection",
"replyIdentity.fromAddress": "connection",
"replyIdentity.senderName": "connection",
"afterReply": "connection",
"waitingSnoozeHours": "connection",
"quietPeriodSeconds": "connection",
"topicsWriteBack.enabled": "connection",
"topicsWriteBack.prefix": "connection",
"topicsWriteBack.field": "connection",
"outcomeWriteBack.tags": "connection",
"outcomeWriteBack.field": "connection",
"meta.humanAgentTag": "connection",
"vendorAi": "connection",
"handBack.to": "connection",
"handBack.teammateExternalId": "connection",
"handBack.teamExternalId": "connection",
"handBack.tag": "connection",
"handBack.mentions": "connection"
},
"resolvedAfterReply": "closed",
"defaultSenderName": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ChannelSettings
Get v1integrations inbox defaults
GET
/
v1
/
integrations
/
{id}
/
inbox-defaults
cURL
curl --request GET \
--url https://app-api.aide.app/v1/integrations/{id}/inbox-defaults \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/integrations/{id}/inbox-defaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/integrations/{id}/inbox-defaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/integrations/{id}/inbox-defaults",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/integrations/{id}/inbox-defaults"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/integrations/{id}/inbox-defaults")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/integrations/{id}/inbox-defaults")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"object": "channel_inbox_settings",
"unavailable": [
{
"path": "<string>",
"reason": "inbox_setting",
"detail": "<string>"
}
],
"settings": {
"meta": {
"humanAgentTag": true
},
"mode": "assists",
"drafts": [
"composer_insert"
],
"sendReplies": true,
"handoffDrafts": true,
"alwaysDraft": true,
"afterReply": "closed",
"waitingSnoozeHours": 123,
"quietPeriodSeconds": 123,
"vendorAi": "after_handover",
"scope": {
"tags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
},
"media": "all"
},
"rollout": {
"mode": "everyone",
"percentage": 123,
"testSenders": [
"<string>"
]
},
"replyIdentity": {
"authorExternalId": "<string>",
"fromAddress": "<string>",
"senderName": "<string>"
},
"topicsWriteBack": {
"enabled": true,
"prefix": "<string>",
"field": {
"values": [
{
"topicId": "<string>",
"option": "<string>"
}
],
"fieldId": "<string>"
}
},
"outcomeWriteBack": {
"tags": true,
"field": {
"values": [
{
"option": "<string>",
"outcome": "drafted"
}
],
"fieldId": "<string>"
}
},
"handBack": {
"tag": "<string>",
"to": "previous_assignee",
"mentions": [
"<string>"
],
"teammateExternalId": "<string>",
"teamExternalId": "<string>"
}
},
"inboxId": "<string>",
"integrationId": "<string>",
"capabilities": {
"tags": {
"create": true,
"read": true,
"write": true
},
"assignment": {
"users": true,
"teams": true
},
"kind": "native",
"media": [
{
"medium": "chat",
"reply": {
"human": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
},
"automated": {
"reason": "not_verified",
"allowed": true,
"windowHours": 123
}
},
"drafts": [
"composer_insert"
],
"vendorAi": true,
"internalNote": true
}
],
"statuses": [
"closed"
],
"snooze": true,
"fields": {
"read": true,
"write": true
},
"assignable": true
},
"sources": {
"mode": "connection",
"drafts": "connection",
"scope.media": "connection",
"scope.tags.include": "connection",
"scope.tags.exclude": "connection",
"rollout.mode": "connection",
"rollout.testSenders": "connection",
"rollout.percentage": "connection",
"sendReplies": "connection",
"handoffDrafts": "connection",
"alwaysDraft": "connection",
"replyIdentity.authorExternalId": "connection",
"replyIdentity.fromAddress": "connection",
"replyIdentity.senderName": "connection",
"afterReply": "connection",
"waitingSnoozeHours": "connection",
"quietPeriodSeconds": "connection",
"topicsWriteBack.enabled": "connection",
"topicsWriteBack.prefix": "connection",
"topicsWriteBack.field": "connection",
"outcomeWriteBack.tags": "connection",
"outcomeWriteBack.field": "connection",
"meta.humanAgentTag": "connection",
"vendorAi": "connection",
"handBack.to": "connection",
"handBack.teammateExternalId": "connection",
"handBack.teamExternalId": "connection",
"handBack.tag": "connection",
"handBack.mentions": "connection"
},
"resolvedAfterReply": "closed",
"defaultSenderName": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}